/* (C) 2008 YOOtheme.com */

var YOOTools = {
		
	start: function() {
		
		/* Match height of div tags */
		YOOTools.setDivHeight();

		/* Add span to header */
		YOOBase.addHeaderSpan('#left div.module h3, #left div.module-border h3, #left div.module-new h3, #left div.module-top h3, #right div.module h3, #right div.module-border h3, #right div.module-new h3, #right div.module-top h3');

		/* Menu color settings */
		var page = $('page');		
		
		/* color default */
		var currentColor = '#e6e9eb';
		var leaveColor = '#ffffff';

		/* theme black */
		if (YtSettings.color == 'black') {
			currentColor = '#282828';
			leaveColor = '#141414';
		}

		/* theme pastel */
		if (YtSettings.color == 'pastel') {
			currentColor = '#d7dce1';
			leaveColor = '#ffffff';
			
			if (page.hasClass('blue'))   currentColor = '#d7e6f0';
			if (page.hasClass('pink'))   currentColor = '#ebdcf0';
			if (page.hasClass('orange')) currentColor = '#f5f0dc';
			if (page.hasClass('green'))  currentColor = '#dcf0eb';
		}

		/* Accordion menu */
		new YOOAccordionMenu('div#middle ul.menu li.toggler', 'ul.accordion', { accordion: 'slide' });

		/* Dropdown menu */
		new YOODropdownMenu('div#menu li.parent');

		/* Main menu (tabs) */
		var menuEnter = { 'line-height': 32 };
		var menuLeave = { 'line-height': 38 };
		
		new YOOMorph('div#menu a.level1, div#menu span.level1', menuEnter, menuLeave,
			{ transition: Fx.Transitions.expoOut, duration: 300 },
			{ transition: Fx.Transitions.sineIn, duration: 150 });

		/* Main menu (sub) */
		var menuEnter = { 'background-color': currentColor };
		var menuLeave = { 'background-color': leaveColor };
		
		new YOOMorph('div#menu li.level2 a, div#menu li.level2 span.separator', menuEnter, menuLeave,
			{ transition: Fx.Transitions.expoOut, duration: 300 },
			{ transition: Fx.Transitions.sineIn, duration: 500 });
		
		/* Sub menu all levels */
		var submenuEnter = { 'background-color': currentColor};
		var submenuLeave = { 'background-color': leaveColor};

		new YOOMorph('div#middle ul.menu a, div#middle ul.menu span.separator', submenuEnter, submenuLeave,
			{ transition: Fx.Transitions.expoOut, duration: 300 },
			{ transition: Fx.Transitions.sineIn, duration: 500 });

		/* Module color settings */
		currentColor = '#e1e1e1';
		leaveColor = '#f5f5f5';
		
		/* theme black */
		if (YtSettings.color == 'black') {
			currentColor = '#323232';
			leaveColor = '#1e1e1e';
		}
		
		/* theme pastel */
		if (YtSettings.color == 'pastel') {
			currentColor = '#d7dce1';
			leaveColor = '#f5f5f5';
			
			if (page.hasClass('blue'))   currentColor = '#d7e6f0';
			if (page.hasClass('pink'))   currentColor = '#ebdcf0';
			if (page.hasClass('orange')) currentColor = '#f5f0dc';
			if (page.hasClass('green'))  currentColor = '#dcf0eb';
		}

		/* Modules */
		var moduleEnter = { 'background-color': currentColor };
		var moduleLeave = { 'background-color': leaveColor };
		
		new YOOMorph('div#top div.module-fade, div#bottom div.module-fade', moduleEnter, moduleLeave,
			{ transition: Fx.Transitions.expoOut, duration: 400 },
			{ transition: Fx.Transitions.sineIn, duration: 500 });

		/* Style switcher */
		new YOOStyleSwitcher($ES('.wrapper'), { 
			widthDefault: YtSettings.widthDefault,
			widthThinPx: YtSettings.widthThinPx,
			widthWidePx: YtSettings.widthWidePx,
			widthFluidPx: YtSettings.widthFluidPx,
			afterSwitch: YOOTools.setDivHeight,
			transition: Fx.Transitions.expoOut,
			duration: 500
		});		
		
		/* Smoothscroll */
		new SmoothScroll({ duration: 500, transition: Fx.Transitions.Expo.easeOut });
	},

	/* Match height of div tags */
	setDivHeight: function() {
		YOOBase.matchDivHeight('div.topbox div div div div', 0, 40);
		YOOBase.matchDivHeight('div.bottombox div div div div', 0, 40);
		YOOBase.matchDivHeight('div.maintopbox div div div div', 0, 40);
		YOOBase.matchDivHeight('div.mainbottombox div div div div', 0, 40);
		YOOBase.matchDivHeight('div.contenttopbox div div div div', 0, 40);
		YOOBase.matchDivHeight('div.contentbottombox div div div div', 0, 40);
	}

};

/* Add functions on window load */
window.addEvent('load', YOOTools.start);